IT: OTS (China) -0000 #436

v3.0: Support multi-keyword order name search
10/15/2024 09:29 PM - Xihua Fan

Status: oo0 Start date: 10/16/2024
Priority: I Due date: 10/16/2024
Assignee: Zhongbao Ye % Done: 100%
Category: Estimated time: 4.00 hours
Target version: v3.0 Spent time: 0.00 hour
Description

Background

1. Improve efficiency
Task Details

1. 00000order namel00000000700000060000000O0
1. 00000070000000000070000000000000DD070000000000000S00D00000OD0ODDOD0D
00001234567654321123 BBB12345 2233440000000 = 0123456700r1765432100rl122334410
2. 00000000000000000000000000000000 00 00000Tae000000excell00000000COpyM
000012345 BBB1234500000000 = 01234500r0BBB12345000000000000060000000000000
2. 10000Product Typell0Retailer00000000000000000000000000000000000000O0rder namell

Output
® Report and Solution

Others

History

#1 - 10/15/2024 09:29 PM - Xihua Fan
- % Done changed from 100 to 0

#2 - 10/15/2024 09:40 PM - Xihua Fan

- Description updated

#3 - 10/15/2024 09:41 PM - Xihua Fan

- Description updated

#4 - 10/15/2024 09:54 PM - Xihua Fan

- Description updated

#5 - 10/16/2024 10:20 AM - Xihua Fan

- Description updated

#6 - 10/16/2024 10:21 AM - Xihua Fan

- Description updated

#7 - 10/16/2024 02:09 PM - Zhongbao Ye
- Status changed from 100 to0010

- % Done changed from 0 to 100

Output(2024/10/16) 00
Task Detail 1:Commit ID:

f1435004af5aaa92e37158c81acee6481d2e1d52,650fa25fa0ab714f60c577831116d759f94dcde8,6eebfc49e1648ef0ce34866db0922b4d7c6dc77f,bac
ec42e81d15ce1b43537393ff5fb4e0alaf1e2
1. Support fuzzy query of multiple [order name], give priority to 6 digits, the rules are as follows
1. If it contains 6 consecutive digits: only extract [6 consecutive digits] and form [logical OR] query
2. Except for the above, split the [logical OR] query according to the regular string: [full-width or half-width comma, space, line break, Tab
character, and support Excel horizontal or vertical character copy]

Task Detail 2:Commit ID: f1435004af5aaa92e37158c81acee6481d2e1d52,b261f5968f75f33937a310e89b9ef56d4a6ad094

1. Adjust the width of all filter fields, and appropriately increase the width of orderNo and orderName fields.
2. Fixed Product type and Retailer column width to 200px

#8 - 10/16/2024 02:10 PM - Zhongbao Ye

- Description updated

#9 - 10/16/2024 02:10 PM - Zhongbao Ye

- Description updated

#10 - 10/16/2024 05:39 PM - Zhongbao Ye

- Description updated
